package domain


type AlibabaRetailMarketingItempoolActivityCreateStairGroupDto struct {
    /*
        分组序号     */
    Number  *int64 `json:"number,omitempty" `

    /*
        优惠门槛     */
    Condition  *AlibabaRetailMarketingItempoolActivityCreateCondition `json:"condition,omitempty" `

    /*
        优惠效果     */
    Action  *AlibabaRetailMarketingItempoolActivityCreateAction `json:"action,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivityCreateStairGroupDto) SetNumber(v int64) *AlibabaRetailMarketingItempoolActivityCreateStairGroupDto {
    s.Number = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityCreateStairGroupDto) SetCondition(v AlibabaRetailMarketingItempoolActivityCreateCondition) *AlibabaRetailMarketingItempoolActivityCreateStairGroupDto {
    s.Condition = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityCreateStairGroupDto) SetAction(v AlibabaRetailMarketingItempoolActivityCreateAction) *AlibabaRetailMarketingItempoolActivityCreateStairGroupDto {
    s.Action = &v
    return s
}
